# GenerationPattern Interface Reference
[Patterns used to build classes]

Inheritance diagram for GenerationPattern:
[legend]

List of all members.

## Public Member Functions

| build (MetaClass $class)
| builds everything for given class
| daoExists ()
| indicates DAO availability for classes which uses this pattern
| tableExists ()
| guess what

## Static Public Member Functions

static | getInstance ($class)
| forcing patterns to be singletones

## Detailed Description

Definition at line 15 of file GenerationPattern.class.php.

## Member Function Documentation

GenerationPattern::build | ( | MetaClass $ | class | ) |

builds everything for given class

Implemented in BasePattern, EnumerationClassPattern, InternalClassPattern, SpookedClassPattern, and SpookedEnumerationPattern.

GenerationPattern::daoExists | ( |  | ) |

indicates DAO availability for classes which uses this pattern

Implemented in BasePattern, DictionaryClassPattern, EnumerationClassPattern, InternalClassPattern, SpookedClassPattern, SpookedEnumerationPattern, and StraightMappingPattern.

static GenerationPattern::getInstance | ( | $ | class | ) | `[static]`

forcing patterns to be singletones

GenerationPattern::tableExists | ( |  | ) |

guess what

Implemented in AbstractClassPattern, BasePattern, EnumerationClassPattern, InternalClassPattern, SpookedClassPattern, and ValueObjectPattern.

The documentation for this interface was generated from the following file:

- meta/patterns/GenerationPattern.class.php